Fibo Edit
Integracja
bria/fibo-edit/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/pl/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-edit/edit",
"input": {}
}
Wywołaj model Fibo Edit (bria/fibo-edit/edit) za pośrednictwem Doitong API. Dokumentacja dla agentów: https://doitong.com/pl/developers/models/bria/fibo-edit/edit.md
POST https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
Jeśli status odpowiedzi to "queued" lub "running", odpytuj GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20, aż status zmieni się na "succeeded"; pliki znajdują się w outputs[].url. POST https://api.doitong.com/v1/quote/bria/fibo-edit/edit z tym samym ciałem zwraca dokładną cenę przed uruchomieniem.
To żądanie: 0,04 $ 40 kredytów API Uruchom na tej stronie
Twój nowy klucz API. Jest wyświetlany tylko teraz i znajduje się już w kodzie oraz w polu klucza API poniżej. Zachowaj go w tajemnicy: nigdy nie umieszczaj go w kodzie uruchamianym w przeglądarce.
Tutaj pojawi się pierwszy wynik
Zbuduj poniżej żądanie i uruchom je za pomocą klucza API. Wyniki są kopiowane do naszej przestrzeni dyskowej i przechowywane bezterminowo lub 7 dni bezpłatnie.
Zbuduj żądanie
Elementy sterujące są generowane ze schematu modelu. Kod i cena aktualizują się podczas ich zmiany.
/run/bria/fibo-edit/edit?wait=20
wycena → 0,04 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-edit/edit",
"input": {},
"wait_seconds": 20
}
}
}
Uruchom to żądanie
Klucz pozostaje w tej przeglądarce: jest wysyłany tylko do Doitong API i zapisywany (localStorage) tylko po zaznaczeniu opcji Zapamiętaj. Uzyskaj klucz API
Informacje o Fibo Edit
Edytuje obraz z dokładną kontrolą. Dane wejściowe obejmują `image_url`, opcjonalny `mask_url` oraz `instruction` albo gotowy `vgl`. Alternatywnie podaj `original_vgl` i `new_vgl`, aby edytować na podstawie różnicy między nimi. `steps_num` mieści się w zakresie od 20 do 50 (domyślnie 30), dostępne są także `guidance_scale`, `negative_prompt` i `seed`.
Parametry
Wyślij nazwę kanoniczną albo natywną, nie obie. Nazwy kanoniczne
image_urlopcjonalne
image
mask_urlopcjonalne
mask
instructionopcjonalne
vglopcjonalne
vgl.short_descriptionopcjonalne
vgl.objectsopcjonalne
vgl.objects[].descriptionopcjonalne
vgl.objects[].locationopcjonalne
vgl.objects[].relationshipwymagane
vgl.objects[].relative_sizeopcjonalne
vgl.objects[].shape_and_coloropcjonalne
vgl.objects[].textureopcjonalne
vgl.objects[].appearance_detailsopcjonalne
vgl.objects[].number_of_objectsopcjonalne
vgl.objects[].poseopcjonalne
vgl.objects[].expressionopcjonalne
vgl.objects[].clothingopcjonalne
vgl.objects[].actionopcjonalne
vgl.objects[].genderopcjonalne
vgl.objects[].skin_tone_and_textureopcjonalne
vgl.objects[].orientationopcjonalne
vgl.background_settingopcjonalne
vgl.lightingopcjonalne
vgl.lighting.conditionsopcjonalne
vgl.lighting.directionopcjonalne
vgl.lighting.shadowsopcjonalne
vgl.aestheticsopcjonalne
vgl.aesthetics.compositionopcjonalne
vgl.aesthetics.color_schemeopcjonalne
vgl.aesthetics.mood_atmosphereopcjonalne
vgl.aesthetics.preference_scoreopcjonalne
vgl.aesthetics.aesthetic_scoreopcjonalne
vgl.photographic_characteristicsopcjonalne
vgl.photographic_characteristics.depth_of_fieldopcjonalne
vgl.photographic_characteristics.focusopcjonalne
vgl.photographic_characteristics.camera_angleopcjonalne
vgl.photographic_characteristics.lens_focal_lengthopcjonalne
vgl.style_mediumopcjonalne
vgl.text_renderopcjonalne
vgl.contextopcjonalne
vgl.artistic_styleopcjonalne
vgl.edit_instructionopcjonalne
original_vglopcjonalne
original_vgl.short_descriptionopcjonalne
original_vgl.objectsopcjonalne
original_vgl.objects[].descriptionopcjonalne
original_vgl.objects[].locationopcjonalne
original_vgl.objects[].relationshipwymagane
original_vgl.objects[].relative_sizeopcjonalne
original_vgl.objects[].shape_and_coloropcjonalne
original_vgl.objects[].textureopcjonalne
original_vgl.objects[].appearance_detailsopcjonalne
original_vgl.objects[].number_of_objectsopcjonalne
original_vgl.objects[].poseopcjonalne
original_vgl.objects[].expressionopcjonalne
original_vgl.objects[].clothingopcjonalne
original_vgl.objects[].actionopcjonalne
original_vgl.objects[].genderopcjonalne
original_vgl.objects[].skin_tone_and_textureopcjonalne
original_vgl.objects[].orientationopcjonalne
original_vgl.background_settingopcjonalne
original_vgl.lightingopcjonalne
original_vgl.lighting.conditionsopcjonalne
original_vgl.lighting.directionopcjonalne
original_vgl.lighting.shadowsopcjonalne
original_vgl.aestheticsopcjonalne
original_vgl.aesthetics.compositionopcjonalne
original_vgl.aesthetics.color_schemeopcjonalne
original_vgl.aesthetics.mood_atmosphereopcjonalne
original_vgl.aesthetics.preference_scoreopcjonalne
original_vgl.aesthetics.aesthetic_scoreopcjonalne
original_vgl.photographic_characteristicsopcjonalne
original_vgl.photographic_characteristics.depth_of_fieldopcjonalne
original_vgl.photographic_characteristics.focusopcjonalne
original_vgl.photographic_characteristics.camera_angleopcjonalne
original_vgl.photographic_characteristics.lens_focal_lengthopcjonalne
original_vgl.style_mediumopcjonalne
original_vgl.text_renderopcjonalne
original_vgl.contextopcjonalne
original_vgl.artistic_styleopcjonalne
original_vgl.edit_instructionopcjonalne
new_vglopcjonalne
new_vgl.short_descriptionopcjonalne
new_vgl.objectsopcjonalne
new_vgl.objects[].descriptionopcjonalne
new_vgl.objects[].locationopcjonalne
new_vgl.objects[].relationshipwymagane
new_vgl.objects[].relative_sizeopcjonalne
new_vgl.objects[].shape_and_coloropcjonalne
new_vgl.objects[].textureopcjonalne
new_vgl.objects[].appearance_detailsopcjonalne
new_vgl.objects[].number_of_objectsopcjonalne
new_vgl.objects[].poseopcjonalne
new_vgl.objects[].expressionopcjonalne
new_vgl.objects[].clothingopcjonalne
new_vgl.objects[].actionopcjonalne
new_vgl.objects[].genderopcjonalne
new_vgl.objects[].skin_tone_and_textureopcjonalne
new_vgl.objects[].orientationopcjonalne
new_vgl.background_settingopcjonalne
new_vgl.lightingopcjonalne
new_vgl.lighting.conditionsopcjonalne
new_vgl.lighting.directionopcjonalne
new_vgl.lighting.shadowsopcjonalne
new_vgl.aestheticsopcjonalne
new_vgl.aesthetics.compositionopcjonalne
new_vgl.aesthetics.color_schemeopcjonalne
new_vgl.aesthetics.mood_atmosphereopcjonalne
new_vgl.aesthetics.preference_scoreopcjonalne
new_vgl.aesthetics.aesthetic_scoreopcjonalne
new_vgl.photographic_characteristicsopcjonalne
new_vgl.photographic_characteristics.depth_of_fieldopcjonalne
new_vgl.photographic_characteristics.focusopcjonalne
new_vgl.photographic_characteristics.camera_angleopcjonalne
new_vgl.photographic_characteristics.lens_focal_lengthopcjonalne
new_vgl.style_mediumopcjonalne
new_vgl.text_renderopcjonalne
new_vgl.contextopcjonalne
new_vgl.artistic_styleopcjonalne
new_vgl.edit_instructionopcjonalne
seedopcjonalne
steps_numopcjonalne
negative_promptopcjonalne
guidance_scaleopcjonalne
Parametry plików przyjmują publiczny URL https://, identyfikator URI data: do 10 MB albo file_url przesłanego pliku. Pliki
Wynik
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-edit/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"vgl": {},
"structured_instruction": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Pola wyniku
- image
- object {url, content_type, file_name, file_size, width, height}Obraz wygenerowany przez model.
- images
- array of object {url, content_type, file_name, file_size, width, height}Obrazy utworzone podczas generowania.
- vgl
- objectDokument VGL używany do wygenerowania obrazu.
- structured_instruction
- objectPrzestarzały alias tego samego dokumentu; zamiast niego użyj `vgl`.
Inne warianty Fibo Edit
Więcej modeli: Edycja obrazów
Dla agentów AI: ta strona w formacie Markdown jest dostępna pod adresem https://doitong.com/pl/developers/models/bria/fibo-edit/edit.md. Wszystkie modele i przewodniki: https://doitong.com/developers/llms.txt






